summaryrefslogtreecommitdiff
path: root/qa/830
diff options
context:
space:
mode:
Diffstat (limited to 'qa/830')
-rwxr-xr-xqa/83030
1 files changed, 30 insertions, 0 deletions
diff --git a/qa/830 b/qa/830
new file mode 100755
index 0000000..676798d
--- /dev/null
+++ b/qa/830
@@ -0,0 +1,30 @@
+#!/bin/sh
+# PCP QA Test No. 830
+# Exercise error handling in the pcp(1) script.
+#
+# Copyright (c) 2014 Red Hat.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+status=1 # failure is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "cd $here; rm -rf $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+export PMCD_CONNECT_TIMEOUT=1
+echo "Live mode failure:"
+pcp --host no.such.host
+
+echo "Archive mode failure:"
+pcp --archive /no/such/file
+
+# success, all done
+status=0
+exit